# Support

If your team is embarking upon a RAP journey, you should understand [why RAP are important][1] and think about which [levels of RAP][2] that you want to aim for.

From there, we recommend reaching out for some in-person support.

## Support for NHS Digital colleagues

**If you work at NHS Digital**, the **Data Science RAP squad are your main RAP Champions: get in touch!** We you can offer some in-person support in several forms:

- Reviewing your RAP work and assessing your progress against the [levels of RAP][2]
- Peer review of code
- Workshops for a specific RAP capability
- Consultancy style engagement where we plan a migration strategy
- Pair coding
- Shadowing another team

There is also a growing community of RAP experts outside the Data Science RAP squad - you can find them on our NHS Digital RAP MS Teams page (internal to NHS Digital).

## Support for other colleagues

**If you're not in NHS Digital**, the [RAP Champions Network](https://analysisfunction.civilservice.gov.uk/support/reproducible-analytical-pipelines/reproducible-analytical-pipeline-rap-champions) can offer support through:

- Helping you understand why and how they implemented RAP in your department and why it worked for them
- Sharing code via platforms like GitHub so that others can learn from and adapt what has been done
- Shadowing & mentoring opportunities
- Peer review

They also have more guidance on how to get started, and get help [here](https://dataingovernment.blog.gov.uk/2022/08/08/mentoring-a-successful-rap-project/).

There are several forums where you can introduce yourself, ask for help, or discuss different approaches:

- NHS Digital RAP MS Teams page (internal to NHS Digital)
- [RAP Slack channel](https://nhsrcommunity.slack.com/archives/C03N1GXHEH0) from the [NHS-R](https://nhsrcommunity.com/) community
- [RAP collaboration Slack channel](https://govdatascience.slack.com/archives/C6H22U3H9) on the cross-government data science Slack Workspace (open to all civil servants, including NHS staff)
- [Govt Data Science Community](https://www.gov.uk/service-manual/communities/data-science-community)

[1]: ./introduction_to_RAP/why_RAP_is_important.md
[2]: ./introduction_to_RAP/levels_of_RAP.md
