# Useful links

## Strategic

- The Government Analysis Function's [RAP strategy](https://analysisfunction.civilservice.gov.uk/policy-store/reproducible-analytical-pipelines-strategy/) details the roles we all have to play in working towards RAP.
- The [Goldacre Review](https://www.gov.uk/government/publications/better-broader-safer-using-health-data-for-research-and-analysis) mentions RAP extensively as a key tool in improving the use of patient data.
- The Bennett Institute of Applied Data Science has written a [helpful summary](https://www.bennett.ox.ac.uk/blog/2022/07/bennett-insights-an-overview-of-uk-data-policy-developments/) that is helpful for understanding the above documents in the context of UK data policy developments.

## Guidance and Standards

- The [AQUA book of analytical standards](https://www.gov.uk/government/publications/the-aqua-book-guidance-on-producing-quality-analysis-for-government).
- The [ONS best practice team have a useful website - often called the Quack book](https://best-practice-and-impact.github.io/qa-of-code-guidance/intro.html) covering many of the same topics we cover here. Their [best-practice checklist](https://best-practice-and-impact.github.io/qa-of-code-guidance/checklist_higher.html) is particularly useful.
- The Turing Institute's [The Turing Way handbook to reproducible, ethical and collaborative data science](https://the-turing-way.netlify.app/welcome.html)
- We have taken inspiration from the [NHS Digital software engineering COP](https://github.com/NHSDigital/software-engineering-quality-framework/blob/master/insights/review.md).

## Examples, Challenges, Benefits

- [This blog post](https://dataingovernment.blog.gov.uk/2017/03/27/reproducible-analytical-pipeline/), from 2017, explains the context and history of RAP in government statistics.
- The GSS's list of [benefits that come from RAP](https://gss.civilservice.gov.uk/reproducible-analytical-pipelines/benefits-to-government-from-reproducible-analytical-pipelines/).
- The Statistics Authority's excellent [report on overcoming barriers to RAP adoption](https://osr.statisticsauthority.gov.uk/publication/reproducible-analytical-pipelines-overcoming-barriers-to-adoption/).
- Alston, J. M., and Rick, J. A.. 2020. [A Beginner's Guide to Conducting Reproducible Research](https://doi.org/10.1002/bes2.1801). Bull Ecol Soc Am 102(2):e01801.
- The GSS training portal offers an [Introduction to RAP course](https://gss.civilservice.gov.uk/training/introduction-to-reproducible-analytical-pipelines-rap/)
- The Government Analysis Function conducted [research on the rollout of RAP across different departments](https://best-practice-and-impact.github.io/CARS-3/index.html).

## Community spaces

- There are several Slack channels that discuss RAP and related topics: the [govdatascience.slack.com RAP channel](https://govdatascience.slack.com/archives/C6H22U3H9), the [NHS-R community](https://nhsrcommunity.slack.com/), and the [NHS-PyCom community](https://nhs-pycom.slack.com/)
- We have an NHS Digital RAP MS Teams page (internal to NHS Digital)
